Aliens versus Predator 2

Informations

Creator Message
Dadu042

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 3312
Wine: 4.0.2

Feedbacks

Description

FPS, 2001.

 

Note: Game crash when loading until you disable the music.

 

Wikipedia - Appdb.winehq.org - PCGamingWiki.

Screenshots

Miniature

Source code

#!/bin/bash
# Date : (2019-09-22)
# Last revision : see Changelog
# Wine version used : see Changelog
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Edition: 'DDV' installable v1.0 and v1.0.9.6 (1.0 patched).
#
# Middlewares used by this software : DirectX 7 ?, Bink videos.
#
# CHANGELOG
# [Dadu042] (2019-09-22)
#   First script.
# [Dadu042] (2019-09-23)
#   Ask for patch.
#   Restore screen resolution.
#   Add comments.
# [Dadu042] (2019-09-29)
#   Fix end message (unused).
#
# KNOWN ISSUES:
#  - Wine amd64 4.0.2, 4.8 with game v1.0 (and v1.0.9.6): crash after the line: 004d:fixme:dmime:IDirectMusicPerformance8Impl_GetNotificationPMsg (0x213148,0x339fea0): stub
#    Workraround: from the launcher, button Options disable Music.   To try: install directmusic.
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
#
#
# Forcing a resolution unknown by the game (example: 1368x768):
# Edit the text file: Autoexec.cfg
#   "GameScreenWidth" "1368"
#   "SCREENWIDTH" "1368"
#   "GameScreenHeight" "768"
#   "SCREENHEIGHT" "768"
#
#
# Max details ? = "DetailLevel" "4"

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
   
TITLE="Aliens versus Predator 2"
PREFIX="AliensVP2"
EDITOR="Fox"
GAME_URL="https://en.wikipedia.org/wiki/Aliens_versus_Predator_2"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.0.2"
GAME_VMS="256"
SHORTCUT_FILENAME="AVP2.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
  
# Starting the script
POL_SetupWindow_Init
      
# Starting debugging API
POL_Debug_Init
     
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
   
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
   
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
    
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
   
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
     
# Determine Architecture
POL_System_SetArch "amd64"
     
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
   
Set_OS "winxp"
  
# Installing mandatory dependencies
  
# POL_Call POL_Install_riched30
   
# POL_Call POL_Install_corefonts
  
# POL_Call POL_Install_d3dx11
   
# POL_Call POL_Install_mono210
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
   
# Choose between Steam and other Digital Download versions
POL_SetupWindow_InstallMethod "DVD,LOCAL"
  
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
  
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
   
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
   
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "setup.exe"
  
        # Restore screen resolution (game's default is 800x600)
 #       POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
   
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        POL_Download "https://www.villagers-and-heroes.com/VHSetup.exe"
        POL_Wine "VHSetup.exe" "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
    
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"

        
        # Restore screen resolution (game's default is 800x600)
        # Note: Aliens versus Predator 2 v1.0 does not restore the resolution, but once patched (v1.0.9.6) it does.
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
#        POL_Shortcut_Document "$TITLE" "Readme.txt"

elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
            
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
    
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

################
# Patch update #
################
   
POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ? (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
    
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi


POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

POL_SetupWindow_message "$(eval_gettext 'WARNING: if the game crash after the launcher screen, you must disable the 'Music' (in button Options).')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid let POL/POM a huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Dadu042 Sunday 29 September 2019 at 20:43
Dadu042

Information

This update has been approved by the team.

Differences

@@ -18,6 +18,8 @@
 #   Ask for patch.
 #   Restore screen resolution.
 #   Add comments.
+# [Dadu042] (2019-09-29)
+#   Fix end message (unused).
 #
 # KNOWN ISSUES:
 #  - Wine amd64 4.0.2, 4.8 with game v1.0 (and v1.0.9.6): crash after the line: 004d:fixme:dmime:IDirectMusicPerformance8Impl_GetNotificationPMsg (0x213148,0x339fea0): stub
@@ -191,7 +193,7 @@
 
 POL_SetupWindow_message "$(eval_gettext 'WARNING: if the game crash after the launcher screen, you must disable the 'Music' (in button Options).')" "$TITLE"
 
-# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid let POL/POM a huge log file, you should type \ninto 'Debug flags' : 'fixme-all'.')" "$TITLE"
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid let POL/POM a huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
    
 POL_SetupWindow_Close
-exit 0
\ No newline at end of file
+exit 0

New source code

#!/bin/bash
# Date : (2019-09-22)
# Last revision : see Changelog
# Wine version used : see Changelog
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Edition: 'DDV' installable v1.0 and v1.0.9.6 (1.0 patched).
#
# Middlewares used by this software : DirectX 7 ?, Bink videos.
#
# CHANGELOG
# [Dadu042] (2019-09-22)
#   First script.
# [Dadu042] (2019-09-23)
#   Ask for patch.
#   Restore screen resolution.
#   Add comments.
# [Dadu042] (2019-09-29)
#   Fix end message (unused).
#
# KNOWN ISSUES:
#  - Wine amd64 4.0.2, 4.8 with game v1.0 (and v1.0.9.6): crash after the line: 004d:fixme:dmime:IDirectMusicPerformance8Impl_GetNotificationPMsg (0x213148,0x339fea0): stub
#    Workraround: from the launcher, button Options disable Music.   To try: install directmusic.
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
#
#
# Forcing a resolution unknown by the game (example: 1368x768):
# Edit the text file: Autoexec.cfg
#   "GameScreenWidth" "1368"
#   "SCREENWIDTH" "1368"
#   "GameScreenHeight" "768"
#   "SCREENHEIGHT" "768"
#
#
# Max details ? = "DetailLevel" "4"

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
   
TITLE="Aliens versus Predator 2"
PREFIX="AliensVP2"
EDITOR="Fox"
GAME_URL="https://en.wikipedia.org/wiki/Aliens_versus_Predator_2"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.0.2"
GAME_VMS="256"
SHORTCUT_FILENAME="AVP2.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
  
# Starting the script
POL_SetupWindow_Init
      
# Starting debugging API
POL_Debug_Init
     
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
   
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
   
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
    
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
   
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
     
# Determine Architecture
POL_System_SetArch "amd64"
     
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
   
Set_OS "winxp"
  
# Installing mandatory dependencies
  
# POL_Call POL_Install_riched30
   
# POL_Call POL_Install_corefonts
  
# POL_Call POL_Install_d3dx11
   
# POL_Call POL_Install_mono210
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
   
# Choose between Steam and other Digital Download versions
POL_SetupWindow_InstallMethod "DVD,LOCAL"
  
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
  
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
   
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
   
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "setup.exe"
  
        # Restore screen resolution (game's default is 800x600)
 #       POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
   
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        POL_Download "https://www.villagers-and-heroes.com/VHSetup.exe"
        POL_Wine "VHSetup.exe" "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
    
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"

        
        # Restore screen resolution (game's default is 800x600)
        # Note: Aliens versus Predator 2 v1.0 does not restore the resolution, but once patched (v1.0.9.6) it does.
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
#        POL_Shortcut_Document "$TITLE" "Readme.txt"

elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
            
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
    
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

################
# Patch update #
################
   
POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ? (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
    
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi


POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

POL_SetupWindow_message "$(eval_gettext 'WARNING: if the game crash after the launcher screen, you must disable the 'Music' (in button Options).')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid let POL/POM a huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Monday 23 September 2019 at 8:19
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Played 30 min.

Differences

@@ -7,38 +7,42 @@
 # Licence : Retail
 # Only For : http://www.playonlinux.com
 #
-# TESTED Edition: v1.0 and v1.0.9.6 (1.0 patched).
+# TESTED Edition: 'DDV' installable v1.0 and v1.0.9.6 (1.0 patched).
 #
 # Middlewares used by this software : DirectX 7 ?, Bink videos.
 #
 # CHANGELOG
 # [Dadu042] (2019-09-22)
 #   First script.
-#
+# [Dadu042] (2019-09-23)
+#   Ask for patch.
+#   Restore screen resolution.
+#   Add comments.
 #
 # KNOWN ISSUES:
 #  - Wine amd64 4.0.2, 4.8 with game v1.0 (and v1.0.9.6): crash after the line: 004d:fixme:dmime:IDirectMusicPerformance8Impl_GetNotificationPMsg (0x213148,0x339fea0): stub
-#    Workraround: from the launcher, button Options disable Music.
+#    Workraround: from the launcher, button Options disable Music.   To try: install directmusic.
 #
 # Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
 #
 #
-# Forcing a resolution unknown by the game (ie: 1368x768):
+# Forcing a resolution unknown by the game (example: 1368x768):
 # Edit the text file: Autoexec.cfg
 #   "GameScreenWidth" "1368"
 #   "SCREENWIDTH" "1368"
 #   "GameScreenHeight" "768"
 #   "SCREENHEIGHT" "768"
 #
-# Max detaiils ? = "DetailLevel" "4"
+#
+# Max details ? = "DetailLevel" "4"
 
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
    
 TITLE="Aliens versus Predator 2"
 PREFIX="AliensVP2"
-EDITOR=""
-GAME_URL=""
+EDITOR="Fox"
+GAME_URL="https://en.wikipedia.org/wiki/Aliens_versus_Predator_2"
 AUTHOR="Dadu042"
 STEAM_ID=""
 WORKING_WINE_VERSION="4.0.2"
@@ -124,7 +128,7 @@
     
 elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
         # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
-        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext 'N/A')~$(eval_gettext 'N/A')" "~"
+        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
         
 if [ "$APP_ANSWER" == ".EXE" ]; then
         # Asking then installing local files of the game
@@ -168,7 +172,21 @@
    
 # Set Graphic Card information keys for wine
 POL_Wine_SetVideoDriver
+
+################
+# Patch update #
+################
    
+POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ? (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
+    
+if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
+        PATCH_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$PATCH_EXE"
+        POL_Wine_WaitExit "$PATCH_EXE"
+fi
+
+
 POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
 POL_SetupWindow_message "$(eval_gettext 'WARNING: if the game crash after the launcher screen, you must disable the 'Music' (in button Options).')" "$TITLE"

New source code

#!/bin/bash
# Date : (2019-09-22)
# Last revision : see Changelog
# Wine version used : see Changelog
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Edition: 'DDV' installable v1.0 and v1.0.9.6 (1.0 patched).
#
# Middlewares used by this software : DirectX 7 ?, Bink videos.
#
# CHANGELOG
# [Dadu042] (2019-09-22)
#   First script.
# [Dadu042] (2019-09-23)
#   Ask for patch.
#   Restore screen resolution.
#   Add comments.
#
# KNOWN ISSUES:
#  - Wine amd64 4.0.2, 4.8 with game v1.0 (and v1.0.9.6): crash after the line: 004d:fixme:dmime:IDirectMusicPerformance8Impl_GetNotificationPMsg (0x213148,0x339fea0): stub
#    Workraround: from the launcher, button Options disable Music.   To try: install directmusic.
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
#
#
# Forcing a resolution unknown by the game (example: 1368x768):
# Edit the text file: Autoexec.cfg
#   "GameScreenWidth" "1368"
#   "SCREENWIDTH" "1368"
#   "GameScreenHeight" "768"
#   "SCREENHEIGHT" "768"
#
#
# Max details ? = "DetailLevel" "4"

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
   
TITLE="Aliens versus Predator 2"
PREFIX="AliensVP2"
EDITOR="Fox"
GAME_URL="https://en.wikipedia.org/wiki/Aliens_versus_Predator_2"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.0.2"
GAME_VMS="256"
SHORTCUT_FILENAME="AVP2.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
  
# Starting the script
POL_SetupWindow_Init
      
# Starting debugging API
POL_Debug_Init
     
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
   
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
   
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
    
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
   
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
     
# Determine Architecture
POL_System_SetArch "amd64"
     
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
   
Set_OS "winxp"
  
# Installing mandatory dependencies
  
# POL_Call POL_Install_riched30
   
# POL_Call POL_Install_corefonts
  
# POL_Call POL_Install_d3dx11
   
# POL_Call POL_Install_mono210
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
   
# Choose between Steam and other Digital Download versions
POL_SetupWindow_InstallMethod "DVD,LOCAL"
  
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
  
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
   
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
   
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "setup.exe"
  
        # Restore screen resolution (game's default is 800x600)
 #       POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
   
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        POL_Download "https://www.villagers-and-heroes.com/VHSetup.exe"
        POL_Wine "VHSetup.exe" "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
    
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"

        
        # Restore screen resolution (game's default is 800x600)
        # Note: Aliens versus Predator 2 v1.0 does not restore the resolution, but once patched (v1.0.9.6) it does.
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
#        POL_Shortcut_Document "$TITLE" "Readme.txt"

elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
            
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
    
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

################
# Patch update #
################
   
POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ? (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
    
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi


POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

POL_SetupWindow_message "$(eval_gettext 'WARNING: if the game crash after the launcher screen, you must disable the 'Music' (in button Options).')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid let POL/POM a huge log file, you should type \ninto 'Debug flags' : 'fixme-all'.')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Replies

Monday 23 September 2019 at 17:16
To test :
## PlayOnMac Section
[ -n "$PLAYONMAC" ] && Set_SoundDriver "alsa"
[ -n "$PLAYONMAC" ] || Set_Managed "Off"
## End Section
Dadu042 Sunday 22 September 2019 at 23:04
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -0,0 +1,179 @@
+#!/bin/bash
+# Date : (2019-09-22)
+# Last revision : see Changelog
+# Wine version used : see Changelog
+# Distribution used to test : KUbuntu 18.04 x64
+# Author : Dadu042
+# Licence : Retail
+# Only For : http://www.playonlinux.com
+#
+# TESTED Edition: v1.0 and v1.0.9.6 (1.0 patched).
+#
+# Middlewares used by this software : DirectX 7 ?, Bink videos.
+#
+# CHANGELOG
+# [Dadu042] (2019-09-22)
+#   First script.
+#
+#
+# KNOWN ISSUES:
+#  - Wine amd64 4.0.2, 4.8 with game v1.0 (and v1.0.9.6): crash after the line: 004d:fixme:dmime:IDirectMusicPerformance8Impl_GetNotificationPMsg (0x213148,0x339fea0): stub
+#    Workraround: from the launcher, button Options disable Music.
+#
+# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
+#
+#
+# Forcing a resolution unknown by the game (ie: 1368x768):
+# Edit the text file: Autoexec.cfg
+#   "GameScreenWidth" "1368"
+#   "SCREENWIDTH" "1368"
+#   "GameScreenHeight" "768"
+#   "SCREENHEIGHT" "768"
+#
+# Max detaiils ? = "DetailLevel" "4"
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+   
+TITLE="Aliens versus Predator 2"
+PREFIX="AliensVP2"
+EDITOR=""
+GAME_URL=""
+AUTHOR="Dadu042"
+STEAM_ID=""
+WORKING_WINE_VERSION="4.0.2"
+GAME_VMS="256"
+SHORTCUT_FILENAME="AVP2.exe"
+SOFTWARE_CATEGORIES="Game;ActionGame;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+  
+# Starting the script
+POL_SetupWindow_Init
+      
+# Starting debugging API
+POL_Debug_Init
+     
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+   
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+   
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+    
+POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+   
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+     
+# Determine Architecture
+POL_System_SetArch "amd64"
+     
+# Downloading wine if necessary and creating prefix
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+   
+Set_OS "winxp"
+  
+# Installing mandatory dependencies
+  
+# POL_Call POL_Install_riched30
+   
+# POL_Call POL_Install_corefonts
+  
+# POL_Call POL_Install_d3dx11
+   
+# POL_Call POL_Install_mono210
+   
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+   
+# Choose between Steam and other Digital Download versions
+POL_SetupWindow_InstallMethod "DVD,LOCAL"
+  
+# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
+  
+# Begin game installation
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+   
+elif [ "$INSTALL_METHOD" == "DVD" ];then
+        POL_SetupWindow_cdrom
+   
+        POL_SetupWindow_check_cdrom "setup.exe"
+        POL_Wine start /unix "$CDROM/setup.exe"
+        POL_Wine_WaitExit "setup.exe"
+  
+        # Restore screen resolution (game's default is 800x600)
+ #       POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+  
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+   
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
+        POL_Download "https://www.villagers-and-heroes.com/VHSetup.exe"
+        POL_Wine "VHSetup.exe" "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+    
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext 'N/A')~$(eval_gettext 'N/A')" "~"
+        
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+
+        
+        # Restore screen resolution (game's default is 800x600)
+        # Note: Aliens versus Predator 2 v1.0 does not restore the resolution, but once patched (v1.0.9.6) it does.
+        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+  
+        
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+#        POL_Shortcut_Document "$TITLE" "Readme.txt"
+
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+            
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+fi
+fi
+    
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+   
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+   
+POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
+
+POL_SetupWindow_message "$(eval_gettext 'WARNING: if the game crash after the launcher screen, you must disable the 'Music' (in button Options).')" "$TITLE"
+
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid let POL/POM a huge log file, you should type \ninto 'Debug flags' : 'fixme-all'.')" "$TITLE"
+   
+POL_SetupWindow_Close
+exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2019-09-22)
# Last revision : see Changelog
# Wine version used : see Changelog
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Edition: v1.0 and v1.0.9.6 (1.0 patched).
#
# Middlewares used by this software : DirectX 7 ?, Bink videos.
#
# CHANGELOG
# [Dadu042] (2019-09-22)
#   First script.
#
#
# KNOWN ISSUES:
#  - Wine amd64 4.0.2, 4.8 with game v1.0 (and v1.0.9.6): crash after the line: 004d:fixme:dmime:IDirectMusicPerformance8Impl_GetNotificationPMsg (0x213148,0x339fea0): stub
#    Workraround: from the launcher, button Options disable Music.
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
#
#
# Forcing a resolution unknown by the game (ie: 1368x768):
# Edit the text file: Autoexec.cfg
#   "GameScreenWidth" "1368"
#   "SCREENWIDTH" "1368"
#   "GameScreenHeight" "768"
#   "SCREENHEIGHT" "768"
#
# Max detaiils ? = "DetailLevel" "4"

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
   
TITLE="Aliens versus Predator 2"
PREFIX="AliensVP2"
EDITOR=""
GAME_URL=""
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.0.2"
GAME_VMS="256"
SHORTCUT_FILENAME="AVP2.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
  
# Starting the script
POL_SetupWindow_Init
      
# Starting debugging API
POL_Debug_Init
     
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
   
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
   
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
    
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
   
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
     
# Determine Architecture
POL_System_SetArch "amd64"
     
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
   
Set_OS "winxp"
  
# Installing mandatory dependencies
  
# POL_Call POL_Install_riched30
   
# POL_Call POL_Install_corefonts
  
# POL_Call POL_Install_d3dx11
   
# POL_Call POL_Install_mono210
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
   
# Choose between Steam and other Digital Download versions
POL_SetupWindow_InstallMethod "DVD,LOCAL"
  
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
  
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
   
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
   
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "setup.exe"
  
        # Restore screen resolution (game's default is 800x600)
 #       POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
   
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        POL_Download "https://www.villagers-and-heroes.com/VHSetup.exe"
        POL_Wine "VHSetup.exe" "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
    
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext 'N/A')~$(eval_gettext 'N/A')" "~"
        
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"

        
        # Restore screen resolution (game's default is 800x600)
        # Note: Aliens versus Predator 2 v1.0 does not restore the resolution, but once patched (v1.0.9.6) it does.
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
#        POL_Shortcut_Document "$TITLE" "Readme.txt"

elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
            
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
    
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
   
POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

POL_SetupWindow_message "$(eval_gettext 'WARNING: if the game crash after the launcher screen, you must disable the 'Music' (in button Options).')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid let POL/POM a huge log file, you should type \ninto 'Debug flags' : 'fixme-all'.')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Replies